Subject: Re: bug#36837: 26.2; whitespace-mode: whitespace-line-column is not set to local fill-column

From: Andreas Schwab <[email-masked]>
Date: Fri, 02 Aug 2019 17:04:35 +0200

On Aug 02 2019, Štěpán Němec <[email-masked]> wrote:

> Yes, unfortunately, file-local variables are only setup (via
> `hack-local-variables') _after_ the mode hooks are run (cf.
> `run-mode-hooks'), so `whitespace-color-on' still sees the original
> `fill-column' the first time.
>
> Intuitively this order seems backwards to me, but I assume there must be
> a (good?) reason? I'd like to hear it, in any case.

I'd guess the reason is that file local variables should override mode
stettings.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."